KDE 4.9 PyKDE API Reference

- KDE's Python API

# TransactionBeginJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that begins a session-global transaction.

Sometimes you want to execute a sequence of commands in an atomic way, so that either all commands or none shall be executed. The TransactionBeginJob, TransactionCommitJob and TransactionRollbackJob provide these functionality for the Akonadi Job classes.

Note:
  This will only have an effect when used as a subjob or with a Session.

Author:
  Volker Krause <vkrause@kde.org>

## Methods

| __init__ (self, QObject parent)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

Creates a new transaction begin job.

Parameters:

  | parent | The parent job or Session, must not be 0.

doStart | ( |  | self ) |